Subject: Appetite control for hours on end

From: Unwanted fat <[email-masked]>
Date: Thu, 07 Jun 2007 20:52:29 +0300

Why should you try Hoodia Plus - effective pill weight loss?

 Appetite control for hours on end  Increased energy and physical performance
 The ability to eat smaller meals  Increased metabolism and calorie expenditure
 Steady, significant weight loss  Accelerated burning of unwanted fat 
Easy weight maintenance  No negative side effects  Money back guarantee
  Try Hoodia NOW - click here!